Bug 84570 - New port: security/p5-Digest-SHA Perl extension for SHA-1/224/256/384/512
Summary: New port: security/p5-Digest-SHA Perl extension for SHA-1/224/256/384/512
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Lars Thegler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-05 05:00 UTC by Travis Campbell
Modified: 2005-09-17 17:44 UTC (History)
0 users

See Also:


Attachments
p5-Digest-SHA.shar (2.42 KB, text/plain)
2005-08-05 05:00 UTC, Travis Campbell
no flags Details
p5-Digest-SHA.shar (2.49 KB, application/x-shar)
2005-09-16 05:43 UTC, hcoyote
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Travis Campbell 2005-08-05 05:00:36 UTC
Digest::SHA is a complete implementation of the NIST Secure Hash Standard. It
gives Perl programmers a convenient way to calculate SHA-1, SHA-224, SHA-256,
SHA-384, and SHA-512 message digests. The module can handle all types of
input, including partial-byte data.  It is written in C for speed.
Comment 1 Lars Thegler freebsd_committer 2005-09-14 21:36:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lth

I'll handle this.
Comment 2 Lars Thegler freebsd_committer 2005-09-14 21:36:25 UTC
State Changed
From-To: open->feedback

Could you update this to the latest release, please?
Comment 3 hcoyote 2005-09-16 05:43:07 UTC
Updated version attached.

Travis
Comment 4 Lars Thegler freebsd_committer 2005-09-17 17:44:34 UTC
State Changed
From-To: feedback->closed

New port added with modifications, thanks!